Package twisted :: Package manhole :: Module explorer :: Class ExplorerInstance |
[show private | hide private]
[frames | no frames]

## Class ExplorerInstance

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
                Cacheable --+
                            |
                     Explorer --+
                                |
                               ExplorerInstance

Attribute groups:

- methods -- dictionary of methods
- data -- dictionary of data members

Note these are only the *instance* methods and members -- if you want the class methods, you'll have to look up the class.

TODO: Detail levels (me, me & class, me & class ancestory)

Method Summary
| `__init__(self, instance, identifier)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``getStateToCacheAndObserveFor`(self, perspective, observer)` Get state to cache on the client and client-cache reference to observe locally. (inherited from `Cacheable`)
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer. (inherited from `Copyable`)
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective. (inherited from `Explorer`)
| ``getTypeToCopy`(self)` Determine what type tag to send for me. (inherited from `Copyable`)
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me. (inherited from `Copyable`)
| ``jellyFor`(self, jellier)` Return an appropriate tuple to serialize me. (inherited from `Cacheable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``stoppedObserving`(self, perspective, observer)` This method is called when a client has stopped observing me. (inherited from `Cacheable`)
| `view_get_refcount(self, perspective)` (inherited from `Explorer`)

Instance Variable Summary
| `klass` - the class this is an instance of.

Class Variable Summary
`list` | `attributeGroups`
`list` | `properties`

Instance Variable Details

### klass the class this is an instance of.

Class Variable Details

    ### attributeGroups Type: `list` Value:
        ['methods', 'data']

    ### properties Type: `list` Value:
        ['klass']

Generated by Epydoc 1.1 on Thu May 8 13:18:33 2003 | http://epydoc.sf.net